Subscribe

Forward compatibility

Are tapes encrypted w/ FC-series DataFort able to be decrypted by the Brocade Encryption Switch (given the necessary keys are present of course).  What about vice-versa?

Thanks!

Re: Forward compatibility

Yes, the tapes are compatible given the limitation of the DataFort tape header. According Fabric OS Encryption Administrators Gude v6.3.0 (53-1001341-02 August 7, 2009 published by Brocade):

Only DF version 2.x- and 3.x-compatible NetApp DataFort (DF) tape metaheaders and block formats

are supported for reading, decrypting, and decompressing the tapes.

Only DF version 2.x- and 3.x-compatible tape block formats and metaheaders are supported for

writing and encrypting tapes in DF-compatible format.

A DF-compatible license is required.

So the limitation is that the compatible DataFort tape metaheaders is a 2.x or 3.x revision. The 2.x and 3.x are the release levels that most DataFort tape encryption customers have used over the past 4 years.

Re: Forward compatibility

What about the forthcoming version 4.x?

Re: Forward compatibility

The current DataFort FC-series supported OS release is 3.01. There is no announced 4.0 DataFort FC-series release candidate at this time. There may be a confusion with the E-series 4.x release which is currenlty deployed and supports Ethernet protocol encryption rather than fiber channel.

Re: Forward compatibility

Tapes written through a Brocade Encrypting Switch or DCX FS-18 Encrypting Blade need to be in DataFort Compatibility mode to write encrypted tapes that are readable by NetApp DataFort.  When you go to configure your encryption target, you'll see a dropdown for "Desired Encryption Mode".  Here you would select "DF-Compatible Encryption".  Note that the default is "Native Encryption".  BES encrypted tapes using this method will be readable and appendable to DataFort versions 2.2.x and 3.x and higher.

Re: Forward compatibility

Thanks, I was confused w/ the forthcoming 4.x LKM release.